// mutable state

import java.util.TreeMap ;

class State {

    private TreeMap<String,Integer> state;

    public int lookup (String id) {
        return (state.get (id)).intValue ();
    }

    public void update (String id, int val) {
        state.put (id, new Integer(val));
    }

    State () {
        state = new TreeMap ();
    }
}
