// functional Lists

public class UpdateTable extends Table {
    final String key;
    final int value;
    final Table tail;

    UpdateTable (String key, int value, Table tail) {
        this.key = key;
        this.value = value;
        this.tail = tail;
    }

    public int lookup (String id) {
        if (id.equals (key)) { return value; }
        else { return tail.lookup (id); }
    }
}